Name:         mailpictures
Version:      0.96
Release:      %mkrel 1
License:      GPL
Group:        Graphical desktop/GNOME
Summary:      Mailpictures is a nautilus extension in gtk/perl, designed to be a more featured nautilus-sendto alternative / replacement. 
Summary(de):  Mailpictures ist eine Erweiterung für nautilus in gtk/perl entworfen, als eine weitere Alternative / Ersatz zu nautilus-sendto.

Source: 	%{name}-%{version}.tar.gz
URL: 		http://gtk-apps.org/content/show.php/Mailpictures?content=115991
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build

Autoreqprov: 	on
Requires: 	nautilus-python
Requires: 	perl-Gtk2
Requires: 	perl-Archive-Extract 
Requires: 	perl-Archive-Zip 
Requires: 	perl-File-Type 
Requires: 	perl-Gtk2-GladeXML 
Requires: 	perl-Image-ExifTool 
Requires: 	perl-Image-Imlib2


%description
Mailpictures is a nautilus extension in gtk/perl, designed to be a more featured nautilus-sendto alternative / replacement.

If there are data files in the selection :
Create a zip archive in case of several files
The minimal number of files for archive create can be set in the main window

If there are pictures in the selection :
Automatic resizing : 640, 800, 1024 or custom width
Keep correct EXIF orientation
Change JPEG compression
ZIP archiving of the pictures
Very fast processing (use imlib2)

In every case :
Check for the size, and show a message warning if it is too big for an email
Get rid of the main window and launch directly the email writing window, if set in main window app
Evaluate the size of the attachment
Support for Evolution, Thunderbird, Icedove, and Kmail.
Save results in a folder : can be use to resize several pictures and save somewhere
Store settings

Locales: English, French, Italian, German and Dutch

%description -l de
Mailpictures ist eine Erweiterung für nautilus in gtk/perl entworfen, als eine weitere Alternative / Ersatz zu nautilus-sendto.

Wenn sich eine Dateien in der Auswahl befindet:
Erstellen Sie ein ZIP-Archiv im Falle von mehreren Dateien
Die minimale Anzahl von Dateien zur Archivierung können im Hauptfenster eingestellt werden

Wenn sich Bilder in der Auswahl befinden:
Automatische Größenanpassung: 640, 800, 1024 oder benutzerdefinierte Breite
richtige EXIF orientierung
Ändern in JPEG Komprimierung
ZIP Archivierung der Bilder
Sehr schnelle Bearbeitung (Verwendung von imlib2)

In jedem Fall:
Überprüfen der Größe, und zeigt eine Warnung an, wenn zu groß für eine E-Mail
Weg über das Hauptfenster: starten Sie direkt die E-Mail aus dem "schreiben" Fenster
Bewerten Sie die Größe der Aanhänge
Unterstützung für die Evolution, Thunderbird, Icedove und Kmail.
Speichern der Ergebnisse in einem Ordner: kann benutzt werden, um mehrere Bilder vergrößern, verkleinern und Sie irgendwo speichern. 
Shop-Einstellungen

Unterstützte Sprachen: Englisch, Französisch, Italienisch, Deutsch und Niederländisch

%prep
%setup -n %{name}-%{version}-src

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr
cp -a share $RPM_BUILD_ROOT/usr
cp -a lib $RPM_BUILD_ROOT/usr

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
%postun
%clean_menus

%files
%defattr(-,root,root)
%{_datadir}/*
%{_libdir}/*

%changelog
* Mon Dec 21 2009 maik3531 <maik3531 at yahoo dot de> 0.96-1pclos2010
- first build

